#!/bin/sh
INSPATH="/usr/local/faf"
BINPATH="/usr/local/sbin/faf"

install(){
        rm -rf $INSPATH
        mkdir $INSPATH
        cp -R files/* $INSPATH
	cp README CHANGELOG COPYING.GPL $INSPATH
        chmod 640 $INSPATH/*
        chmod 750 $INSPATH/faf
        ln -fs $INSPATH/faf $BINPATH
	if [ -f "/etc/faf.conf" ]; then
		rm -f /etc/faf.conf
	fi
	if [ -f "cron" ]; then
		cp cron /etc/cron.daily/faf
		chmod 644 /etc/cron.daily/faf
	fi
}
if [ -d "$INSPATH" ]; then
	rm -rf $INSPATH
	install
else
	install
fi

echo ".: FaF installed"
echo "Install path:    $INSPATH"
echo "Config path:     $INSPATH/conf.faf"
echo "Executable path: $BINPATH"
